
      div[id^="ps-main-container-"] {
        margin: auto;
        overflow: hidden;
        height: 100%;
        width: 100%;
        position: relative;
      }

      div[id^="ps-floating-container-"] {
        position: relative;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
      }

      div[id^="ps-floating-space-container-"] {
        height: 100%;
        width: 100%;
        display: none;
        position: relative;
      }

      div[id^="ps-header-"] {
        height: 20px;
        width: 100%;
        position: relative;
        background-color: #d5d5d5;
      }

      /* div[id^="ps-close-button-"] {
    height: 18px;
    width: 18px;
    overflow: hidden;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    background: #404040;
    border-radius: 50%;
} */

      div[id^="ps-close-button-"] {
        height: 20px;
        width: 20px;
        padding: 5px;
        box-sizing: border-box;
        border-radius: 50%;
        background-color: #404040;
        display: flex;
        align-items: center;
        justify-content: center;
        flex: 0 0 auto;
        cursor: pointer;
        position: absolute;
      }

      .ps-close-button-left {
        left: 0;
      }

      .ps-close-button-right {
        right: 0;
      }

      div[id^="ps-close-button-"] span {
        font-size: 10px;
        height: auto;
        width: auto;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      div[id^="ps-advertisement-label-"] {
        text-align: center;
        font-size: 14px;
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
      }

      div[id^="ps-advertisement-label-"] span {
        text-align: center;
        font-size: 14px;
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
      }

      div[id^="ps-body-"] {
        overflow: hidden;
        scrollbar-width: none;
        -ms-overflow-style: none;
        position: relative;
        width: 100%;
      }

      .ps-body-with-header {
        height: calc(100% - 20px);
      }

      .ps-body-without-header {
        height: 100%;
      }

      div[id^="ps-video-container-"] {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: 1;
      }

      div[id^="ps-aps-container-"] {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: 0;
        display: none;
      }

      div[class*="ps-sticky-"] {
        position: fixed !important;
        z-index: 65124671134134 !important;
        overflow: hidden !important;
      }

      div[class*="ps-fadeInRightToLeft-"] {
        -webkit-animation-name: ps-fadeInRightToLeft;
        animation-name: ps-fadeInRightToLeft;
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
      }

      @-webkit-keyframes ps-fadeInRightToLeft {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(100%, 0, 0);
          transform: translate3d(100%, 0, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      @keyframes ps-fadeInRightToLeft {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(100%, 0, 0);
          transform: translate3d(100%, 0, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      div[class*="ps-right-top-"] {
        right: 0 !important;
        top: 0 !important;
        bottom: auto !important;
        left: auto !important;
      }

      div[class*="ps-right-bottom-"] {
        right: 0 !important;
        bottom: 0 !important;
        top: auto !important;
        left: auto !important;
      }

      div[class*="ps-fadeInLeftToRight-"] {
        -webkit-animation-name: ps-fadeInLeftToRight;
        animation-name: ps-fadeInLeftToRight;
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
      }

      @-webkit-keyframes ps-fadeInLeftToRight {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(-100%, 0, 0);
          transform: translate3d(-100%, 0, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      @keyframes ps-fadeInLeftToRight {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(-100%, 0, 0);
          transform: translate3d(-100%, 0, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      div[class*="ps-left-top-"] {
        left: 0 !important;
        top: 0 !important;
        bottom: auto !important;
        right: auto !important;
      }

      div[class*="ps-left-bottom-"] {
        left: 0 !important;
        bottom: 0 !important;
        top: auto !important;
        right: auto !important;
      }

      div[class*="ps-fadeInTopToBottom-"] {
        -webkit-animation-name: ps-fadeInTopToBottom;
        animation-name: ps-fadeInTopToBottom;
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
      }

      @-webkit-keyframes ps-fadeInTopToBottom {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(0, -100%, 0);
          transform: translate3d(0, -100%, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      @keyframes ps-fadeInTopToBottom {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(0, -100%, 0);
          transform: translate3d(0, -100%, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      div[class*="ps-top-"] {
        left: 0 !important;
        top: 0 !important;
        right: 0 !important;
        bottom: auto !important;
      }

      div[class*="ps-fadeInBottomToTop-"] {
        -webkit-animation-name: ps-fadeInBottomToTop;
        animation-name: ps-fadeInBottomToTop;
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
      }

      @-webkit-keyframes ps-fadeInBottomToTop {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(0, 100%, 0);
          /* start below */
          transform: translate3d(0, 100%, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      @keyframes ps-fadeInBottomToTop {
        0% {
          opacity: 0;
          -webkit-transform: translate3d(0, 100%, 0);
          /* start below */
          transform: translate3d(0, 100%, 0);
        }

        100% {
          opacity: 1;
          -webkit-transform: none;
          transform: none;
        }
      }

      div[class*="ps-bottom-"] {
        left: 0 !important;
        bottom: 0 !important;
        right: 0 !important;
        top: auto !important;
      }
    

      div[id^="ps-video-player-video-container-"] {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: 0;
      }

      video[id^="ps-video-player-player-"] {
        width: 100%;
        height: 100%;
        position: relative;
        background: black;
      }

      div[id^="ps-video-player-controller-"] {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 1000;
        display: block;
      }

      div[id^="ps-video-player-header-"] {
        line-height: 1;
        font-size: 10px;
      }

      span[id^="ps-video-player-text-"],
      span[id^="ps-video-player-timer-text-"] {
        margin: 0;
        margin-left: 5px;
        color: white;
        font-family: sans-serif;
        font-size: 12px;
      }

      div[id^="ps-video-player-outer-progress-bar-"] {
        background: rgb(176 176 176);
        height: 2px;
      }

      div[id^="ps-video-player-progress-bar-level-"] {
        height: 2px;
        width: 0%;
        background: #ecc546;
      }

      div[id^="ps-video-player-body-container-"] {
        padding: 1px 10px;
        display: flex;
        background-color: rgba(0, 0, 0, 0.5);
        color: white;
        justify-content: space-between;
        align-items: center;
      }

      div[id^="ps-video-player-left-controller-"],
      div[id^="ps-video-player-right-controller-"] {
        display: flex;
        align-items: center;
        gap: 10px;
      }

      div[id^="ps-video-player-play-pause-container-"],
      div[id^="ps-video-player-mute-unmute-button-"],
      div[id^="ps-video-player-enter-exit-fullscreen-container-"] {
        display: flex;
        align-items: center;
      }

      div[id^="ps-video-player-mute-unmute-container-"] {
        display: flex;
        align-items: center;
        gap: 5px;
      }

      span[id^="ps-video-player-play-button-"],
      span[id^="ps-video-player-pause-button-"],
      span[id^="ps-video-player-mute-button-"],
      span[id^="ps-video-player-unmute-button-"],
      span[id^="ps-video-player-enter-fullscreen-button-"],
      span[id^="ps-video-player-exit-fullscreen-button-"] {
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
      }

      div[id^="ps-video-player-volume-slider-"] {
        width: 50px;
        height: 10px;
        background: rgba(255, 255, 255, 0.2);
        cursor: pointer;
      }

      div[id^="ps-video-player-volume-slider-level-"] {
        width: 0%;
        height: 100%;
        background: #ecc546;
      }

      div[id^="ps-video-player-big-button-container-"] {
        position: absolute;
        z-index: 500;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        background: rgba(0, 0, 0, 0.4);
      }

      span[id^="ps-video-player-big-pause-button-"],
      span[id^="ps-video-player-big-play-button-"] {
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
      }

      div[id^="ps-video-player-top-label-"] {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: auto;
        z-index: 1000;
      }

      div[id^="ps-video-player-powered-by-label-container-"] {
        position: absolute;
        top: 10px;
        right: 10px;
        width: auto;
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      span[id^="ps-video-player-powered-by-label-text-"] {
        font-size: 12px;
        color: white;
      }

      span[id^="ps-video-player-powered-by-label-image-"] {
        display: inline-block;
        height: 15px;
        width: 15px;
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
      }

      span[id^="ps-video-player-powered-by-label-logo-"] a {
        display: flex;
        align-items: center;
        justify-content: center;
      }

      span[id^="ps-video-player-powered-by-label-logo-"] img {
        height: 15px;
        width: 15px;
        margin: 0px;
      }
    

      div[id^="ps-ad-player-player-container-"] {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: 2;
        display: none;
        background: black;
      }

      div[id^="ps-ad-player-ad-container-"] {
        width: 100%;
        height: 100%;
        position: relative;
      }

      div[id^="ps-ad-player-controller-"] {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 1000;
        display: block;
      }

      div[id^="ps-ad-player-header-"] {
        line-height: 1;
        font-size: 10px;
      }

      span[id^="ps-ad-player-text-"],
      span[id^="ps-ad-player-timer-text-"] {
        margin: 0;
        margin-left: 5px;
        color: white;
        font-family: sans-serif;
        font-size: 12px;
      }

      div[id^="ps-ad-player-outer-progress-bar-"] {
        background: rgb(176 176 176);
        height: 2px;
      }

      div[id^="ps-ad-player-progress-bar-level-"] {
        height: 2px;
        width: 0%;
        background: #ecc546;
      }

      div[id^="ps-ad-player-body-container-"] {
        padding: 1px 10px;
        display: flex;
        background-color: rgba(0, 0, 0, 0.5);
        color: white;
        justify-content: space-between;
        align-items: center;
      }

      div[id^="ps-ad-player-left-controller-"],
      div[id^="ps-ad-player-right-controller-"] {
        display: flex;
        align-items: center;
        gap: 10px;
      }

      div[id^="ps-ad-player-play-pause-container-"],
      div[id^="ps-ad-player-mute-unmute-button-"],
      div[id^="ps-ad-player-enter-exit-fullscreen-container-"] {
        display: flex;
        align-items: center;
      }

      div[id^="ps-ad-player-mute-unmute-container-"] {
        display: flex;
        align-items: center;
        gap: 5px;
      }

      span[id^="ps-ad-player-play-button-"],
      span[id^="ps-ad-player-pause-button-"],
      span[id^="ps-ad-player-mute-button-"],
      span[id^="ps-ad-player-unmute-button-"],
      span[id^="ps-ad-player-enter-fullscreen-button-"],
      span[id^="ps-ad-player-exit-fullscreen-button-"] {
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
      }

      div[id^="ps-ad-player-volume-slider-"] {
        width: 50px;
        height: 10px;
        background: rgba(255, 255, 255, 0.2);
        cursor: pointer;
      }

      div[id^="ps-ad-player-volume-slider-level-"] {
        width: 0%;
        height: 100%;
        background: #ecc546;
      }
    

      div[id^="ps-ad-player-display-container-"] {
        position: absolute;
        left: 0;
        bottom: 0;
        height: 100%;
        width: 100%;
        z-index: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background: black;
        visibility: hidden;
      }

      div[id^="ps-ad-player-inner-display-container-"] {
        height: auto;
        width: 100%;
      }

      div[id^="ps-ad-player-top-container-"] {
        height: 25px;
        width: 100%;
        top: 0;
        border-bottom: 2px solid gray;
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 1;
        background: black;
      }

      div[id^="ps-ad-player-combined-container-"] {
        display: flex;
        color: white;
        gap: 5px;
        justify-content: center;
        font-size: 12px;
      }

      span[id^="ps-ad-player-close-button-"] {
        cursor: pointer;
        color: rgb(215, 138, 138);
      }

      span[id^="ps-ad-player-close-button-"]:hover {
        text-decoration: underline;
        color: tomato;
      }
    